/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2022-07-20 11:07:19Z
 *****************************************************************************/

#ifndef __RSCMWWLM_ATTRIBUTES_HEADER
#define __RSCMWWLM_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwwlm_RealToInt_ReadCallback(ViSession          io,
                                         ViConstString      repCapName,
                                         RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputConnector;
extern RsCoreRangeTableRanged rscmwwlm_rngExtAtt;
extern RsCoreRangeTableRanged rscmwwlm_rngCenterFrequency;
extern RsCoreRangeTableDiscrete rscmwwlm_rngRepMode;
extern RsCoreRangeTableRanged rscmwwlm_rngStatCount;
extern RsCoreRangeTableRanged rscmwwlm_rngTrigThreshold;
extern RsCoreRangeTableDiscrete rscmwwlm_rngStopCond;
extern RsCoreRangeTableDiscrete rscmwwlm_rngTrigSlope;
extern RsCoreRangeTableRanged rscmwwlm_rngTrigTimeout;
extern RsCoreRangeTableRanged rscmwwlm_rngTrigIFMinGAP;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalStandard;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalBurstType;
extern RsCoreRangeTableDiscrete rscmwwlm_rngEvaluationLength;
extern RsCoreRangeTableDiscrete rscmwwlm_rngChannelEstimation;
extern RsCoreRangeTableRanged rscmwwlm_rngTSMStatisticCount;
extern RsCoreRangeTableRanged rscmwwlm_rngTSMTriggerOffsetTime;
extern RsCoreRangeTableRanged rscmwwlm_rngTSMAverageFFTNumber;
extern RsCoreRangeTableRanged rscmwwlm_rngListModeCount;
extern RsCoreRangeTableRanged rscmwwlm_rngListModeCaptureTime;
extern RsCoreRangeTableDiscrete rscmwwlm_rngListModeEstimation;
extern RsCoreRangeTableRanged rscmwwlm_rngLimitsLevel;
extern RsCoreRangeTableRanged rscmwwlm_rngAnalyzerMixerLevelOffset;
extern RsCoreRangeTableDiscrete rscmwwlm_rngBandwidth;
extern RsCoreRangeTableRanged rscmwwlm_rngLevelAOFDM80211n;
extern RsCoreRangeTableRanged rscmwwlm_rngMEvalMeasUpperLimits;
extern RsCoreRangeTableRanged rscmwwlm_rngUpperLimitOFDM80211N;
extern RsCoreRangeTableRanged rscmwwlm_rngPVLimit;
extern RsCoreRangeTableDiscrete rscmwwlm_rngTrainingMode;
extern RsCoreRangeTableRanged rscmwwlm_rngTableAntennaNumber;
extern RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerSecondChannelPosition;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalFrequencyBand;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementDSSSAverageLength;
extern RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementDSSSReferencePower;
extern RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementFFTDemodulationOffset;
extern RsCoreRangeTableRanged rscmwwlm_rngAnalyzerFrequencyOffset;
extern RsCoreRangeTableRanged rscmwwlm_rngOFDM80211acAbsoluteLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngOFDM80211acLevel;
extern RsCoreRangeTableRanged rscmwwlm_rngUpperLimitOFDM80211AC;
extern RsCoreRangeTableRanged rscmwwlm_rngInputSignalFrequencyChannel;
extern RsCoreRangeTableRanged rscmwwlm_rngAnalyzerNumberOfSMIMOAntennas;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acSCErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acCFErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acEVMPilotLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211acIQOffsetLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOEVMPilotLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOSCErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOCFErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211nMIMOIQOffsetLimit;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalPowerClass;
extern RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementMaskSpectrumSelection;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pCenterFrequencyErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pEVMPilotLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pIQOffsetLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsModulationOFDM80211pSymbolClockErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsSpectrumFlatnessOFDM80211pUpper;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pAbsoluteLevelA;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalMeasurementLimitsTransmitSpectrumMaskOFDM80211pClassARelativeLevelA;
extern RsCoreRangeTableRanged rscmwwlm_rngConfigureMultiEvalMeasurementOccupiedBandwidthValue;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalModulationFilterBursts;
extern RsCoreRangeTableDiscrete rscmwwlm_rngInputSignalReceiveMode;
extern RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerConnectorTuple;
extern RsCoreRangeTableDiscrete rscmwwlm_rngConnector;
extern RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasurementDSSSEVMMethod;
extern RsCoreRangeTableRanged rscmwwlm_rngInputSignalChannelDistance;
extern RsCoreRangeTableRanged rscmwwlm_rngInputSignalEvaluationLengthSymbolsOFDM;
extern RsCoreRangeTableRanged rscmwwlm_rngMultiEvalPowerVsTimeUpperLimitError;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axCFErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axSCErrorLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axIQOffsetLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotTBHighLimit;
extern RsCoreRangeTableRanged rscmwwlm_rngModulationOFDM80211axEVMPilotTBLowLimit;
extern RsCoreRangeTableDiscrete rscmwwlm_rngUTEPower;
extern RsCoreRangeTableDiscrete rscmwwlm_rngAnalyzerSMIMOConnectorTuple;
extern RsCoreRangeTableRanged rscmwwlm_rngAnalyzerNumberOfMIMOAntennas;
extern RsCoreRangeTableDiscrete rscmwwlm_rngAbsRel;
extern RsCoreRangeTableRanged rscmwwlm_rngPct;
extern RsCoreRangeTableDiscrete rscmwwlm_rngListModeConnector;
extern RsCoreRangeTableDiscrete rscmwwlm_rngMultiEvalMeasSyncMode;
extern RsCoreRangeTableRanged rscmwwlm_rngAntennaExternalAttenuation;
extern RsCoreRangeTableRanged rscmwwlm_rngAntennaMixerLevelOffset;
extern RsCoreRangeTableDiscrete rscmwwlm_rngHETBPPDUMCS;
extern RsCoreRangeTableDiscrete rscmwwlm_rngSegmentBurstType;
extern RsCoreRangeTableDiscrete rscmwwlm_rngSegmentBandwidth;
extern RsCoreRangeTableRanged rscmwwlm_rngSegmentFrequency;
extern RsCoreRangeTableRanged rscmwwlm_rngSegmentMeasurementOffset;
extern RsCoreRangeTableRanged rscmwwlm_rngSegmentMeasurementTime;
extern RsCoreRangeTableDiscrete rscmwwlm_rngSegmentStandard;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_CONNECTOR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_EXTERNAL_ATTENUATION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_QUERY_INPUT_POSSIBLE_SCENARIOS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_COMBINED_SIGNAL_PATH_SCENARIO;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_SMIMO_ANTENNAS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_NUMBER_OF_MIMO_ANTENNAS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_USE_SEPARATE_ANTENNAS_FOR_80_PLUS_80_MHZ;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_CONNECTOR_TUPLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_SMIMO_CONNECTOR_TUPLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_USER_MARGIN;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_SECOND_CHANNEL_POSITION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_DISPLAY_MODE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_MASK_DISPLAY_MODE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_EXTERNAL_ATTENUATION_ON_RF_CONNECTOR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_CONNECTOR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXTERNAL_ATTENUATION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_EXPECTED_PEAK_ENVELOP_POWER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ANALYZER_RF_ROUTING_ANTENNA_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_STANDARD;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_BURST;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_EVALUATION_LENGTH_SYMBOLS_OFDM;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_RECEIVE_MODE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_CHANNEL_DISTANCE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_BAND;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SOURCE_SIGNAL_TRAINING_DATA_SOURCE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_LOAD_TRAINING_DATA_FILE_DATE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_IQ_SWAP_STATE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_MODULATION_FILTER_BURSTS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_POWER_CLASS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_INPUT_SIGNAL_FREQUENCY_CHANNEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_PHASE_TRACKING;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMING_TRACKING;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LEVEL_TRACKING;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_CHANNEL_ESTIMATION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FFT_DEMODULATION_OFFSET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_EVM_METHOD;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_TRIGGER_OFFSET_TIME;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TS_MASK_AVERAGE_FFT_NUMBER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ASSIGN_VIEWS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CHIP_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_SYMBOL_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_EVM_VS_CARRIER_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_CONSTELLATION_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_SCALAR_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRANSMIT_SPECTRUM_MASK_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_FLATNESS_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_UNUSED_TONE_ERROR_VIEW;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RISING_EDGE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_FALLING_EDGE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_BURST;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_RESULT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE_ENABLED;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_TE_PERCENTAGE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_AVERAGE_LENGTH;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_DSSS_REFERENCE_POWER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_MASK_SPECTRUM_SELECTION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_CONFIGURE_MULTI_EVAL_MEASUREMENT_OCCUPIED_BANDWIDTH_VALUE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_IF_MIN_GAP;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_STATE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_NUMBER_OF_SEGMENTS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CAPTURE_TIME;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CHANNEL_FILTER_ESTIMATION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_CONNECTOR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_VS_TIME_LIMIT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_RISE_TIME_LIMIT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_FALL_TIME_LIMIT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_RISE_TIME_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_FALL_TIME_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_POWER_VS_TIME_UPPER_LIMIT_ERROR_ENABLED;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SYNC_MODE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_HE_TB_PPDU_MCS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BURST_TYPE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_BANDWIDTH;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_CONNECTOR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_ENP;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_FREQUENCY;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_OFFSET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_MEASUREMENT_TIME;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_STANDARD;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_SEGMENT_TIME;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_EVM_PILOT_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_IQ_OFFSET_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_CFERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211NSMIMO_SCERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_EVM_PILOT_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_IQ_OFFSET_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_CFERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AC_SCERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_CENTER_FREQUENCY_ERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_EVM_PILOT_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_IQ_OFFSET_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM_80211P_SYMBOL_CLOCK_ERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBHIGH_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_EVM_PILOT_TBLOW_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_IQ_OFFSET_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_CFERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_SCERROR_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_POWER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_MODULATION_OFDM80211AX_UTE_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_AB_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_DSSS_CD_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11N_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11N_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_FORTY_ABSOLUTE_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_A_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_B_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_C_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO20MHZ_D_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO20MHZ_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_A_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_B_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_C_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO40MHZ_D_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO40MHZ_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_A_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_B_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_C_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_11ACSISO80MHZ_D_LEVEL;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_MASK_OFDM_ABSOLUTE_11ACSISO80MHZ_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AC_ABSOLUTE_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_E;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_ABSOLUTE_LEVEL_F;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_A_RELATIVE_LEVEL_E;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_CLASS_B_RELATIVE_LEVEL_E;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211P_USER_DEFINED_POWER_CLASS_RELATIVE_LEVEL_E;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211AX_ABSOLUTE_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_A;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_B;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_C;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_LEVEL_D;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TRANSMIT_SPECTRUM_MASK_OFDM_80211N_ABSOLUTE_LIMIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211P_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO20MHZ_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO40MHZ_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211ACSISO80MHZ_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AC_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211AX_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_SPECTRUM_FLATNESS_OFDM_80211N_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM80211N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_OFDM11N_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_20MHZ_OFDM80211N_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_LIMITS_TS_FLATNESS_40MHZ_OFDM80211N_UPPER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_MULTI_EVAL_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWWLM_ATTR_CMIMO_TRAINING_MODE_ENABLE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_TX_ANTENNA_NUMBER;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_INITIATION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_ABORT;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_SAVE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_DATE;
extern RsCoreAttribute g_RSCMWWLM_ATTR_TRAINING_DATA_ACQUISITION_CLEAR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWWLM_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWWLM_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWWLM_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWWLM_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwwlm_RsCoreRepCapTable[];
extern ViInt32 rscmwwlm_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwwlm_RsCoreAttributeList[];
extern ViInt32 rscmwwlm_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWWLM_ATTRIBUTES_HEADER */
