/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

#define RSCMW_NAN                 9.91e+37
#define RSCMW_NAN_VI_INT32        0x80000000

ViStatus rscmwwls_InitAttributes(ViSession instrSession);

ViStatus rscmwwls_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rscmwwls_CheckStatus(ViSession instrSession);

ViStatus rscmwwls_instanceRepCap(ViSession instrSession,
                                 ViInt32   instance,
                                 ViChar    repCap[]);

ViStatus _VI_FUNC rscmwwls_QueryMeasStatus(ViSession instrSession,
                                           ViString  cmd,
                                           ViInt32*  mainState,
                                           ViInt32*  syncState,
                                           ViInt32*  resourcesState);

ViStatus rscmwwls_GetIndexOfToken(ViConstString stringToFind,
                                  ViString      table[],
                                  ViInt32       *index);

ViStatus rscmwwls_utility_error_message(ViSession instrSession,
                                        ViStatus  errorCode,
                                        ViChar    errorMessage[]);

